##
##  ant.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         ant
Summary:      A Java based build tool
URL:          http://jakarta.apache.org/ant/
Vendor:       Apache Software Foundation
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Development
License:      Apache Software License
Version:      1.5.1
Release:      20021129

#   list of sources
Source0:      http://www.apache.org/dist/ant/binaries/jakarta-ant-%{version}-bin.tar.bz2
Source1:      ant.conf
Source2:      rc.ant

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206
PreReq:       OpenPKG, openpkg >= 20020206, j2se, perl, python
AutoReq:      no
AutoReqProv:  no

%description
    Apache Ant is a Java based build tool. In theory it is kind of like make
    without make's wrinkles.

%prep
    %setup -q -n jakarta-ant-%{version}

%build
    #   Note that there is nothing to build since the Ant binary distribution
    #   is used. The reason for that is that a Ant build would require other
    #   tools which build procedures depend on Ant which leads to a chicken
    #   and egg problem. But in the end this doesn't hurt very much since we
    #   are talking about Java byte code and shell scripts which are portable
    #   anyway.

    #   The only things done here are some minor path adjustments and remove
    #   those nasty Windows line breaks
    ( cd bin
      %{l_shtool} subst \
          -e 's;^#!/usr/bin/perl;#! @l_prefix@/bin/perl;' \
          antRun.pl complete-ant-cmd.pl runant.pl
      %{l_shtool} subst \
          -e 's;^#!/usr/bin/python;#! @l_prefix@/bin/python;' \
          runant.py
      %{l_shtool} subst \
          -e 's;/etc/ant.conf;@l_prefix@/etc/ant/ant.conf;' \
          ant
      %{l_shtool} subst \
          -e 's;\r$;;' \
          ant antRun antRun.pl complete-ant-cmd.pl runant.pl runant.py
    )

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/etc/ant
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/lib

    for i in ant antRun antRun.pl complete-ant-cmd.pl runant.pl runant.py; do
        %{l_shtool} install -c -m 755 -e 's;@l_prefix@;%{l_prefix};g' \
            bin/$i $RPM_BUILD_ROOT%{l_prefix}/bin/
    done

    %{l_shtool} install -c -m 644 \
        lib/*.jar $RPM_BUILD_ROOT%{l_prefix}/lib/

    %{l_shtool} install -c -m 644 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE ant.conf} $RPM_BUILD_ROOT%{l_prefix}/etc/ant/

    %{l_shtool} install -c -m 755 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE rc.ant} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/

    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

